using Domain.Entities;
using Domain.Generics;

namespace Models.Interfaces
{
    public interface IPhLSMUnitOfMeasureRepository
    {
        Task<PagedResult<ELSUnitOfMeasure>> GetAllAsync(int page = 1, int pageSize = 100);

        /// <summary>
        /// Retorna true si el código existe
        /// </summary>
        Task<bool> ExistsByCodeAsync(string code);
        Task<List<string>> GetAllCodesAsync();
    }
}
